Package org.firebirdsql.jdbc.metadata

## Class GetCrossReference

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetCrossReference

    public final class GetCrossReference
    extends java.lang.Object

Provides the implementation for `DatabaseMetaData.getCrossReference(String, String, String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetCrossReference` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getCrossReference​(java.lang.String primaryTable, java.lang.String foreignTable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getCrossReference

    public java.sql.ResultSet getCrossReference​(java.lang.String primaryTable,
                                                java.lang.String foreignTable)
                                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetCrossReference create​(DbMetadataMediator mediator)